Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sharin.doc.builder.xhtml1
Class TableElem

    java.lang.Object
      sharin.doc.builder.Elem
          sharin.doc.builder.GenericXmlElem<E>
              sharin.doc.builder.xhtml1.GenericCoreElem<E>
                  sharin.doc.builder.xhtml1.GenericCommonElem<TableElem>
                      sharin.doc.builder.xhtml1.TableElem

    public class TableElem

extends GenericCommonElem<TableElem>

Constructor Summary
`TableElem(Object... nodes)`

Method Summary
`TableElem` | `align(Object value)`
`TableElem` | `alignCenter()`
`TableElem` | `alignLeft()`
`TableElem` | `alignRight()`
`TableElem` | `bgcolor(Object value)`
`TableElem` | `border(Object value)`
`TableElem` | `cellpadding(Object value)`
`TableElem` | `cellspacing(Object value)`
`TableElem` | `frame(Object value)`
`TableElem` | `frameAbove()`
`TableElem` | `frameBelow()`
`TableElem` | `frameBorder()`
`TableElem` | `frameBox()`
`TableElem` | `frameHsides()`
`TableElem` | `frameLhs()`
`TableElem` | `frameRhs()`
`TableElem` | `frameVoid()`
`TableElem` | `frameVsides()`
`TableElem` | `rules(Object value)`
`TableElem` | `rulesAll()`
`TableElem` | `rulesCols()`
`TableElem` | `rulesGroups()`
`TableElem` | `rulesNone()`
`TableElem` | `rulesRows()`
`TableElem` | `summary(Object value)`
`TableElem` | `width(Object value)`

Methods inherited from class sharin.doc.builder.xhtml1.GenericCommonElem
`dir, lang, onclick, ondblclick, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, xmllang`

Methods inherited from class sharin.doc.builder.xhtml1.GenericCoreElem
`clas, id, style, title`

Methods inherited from class sharin.doc.builder.GenericXmlElem
`_, attr, toString`

Methods inherited from class sharin.doc.builder.Elem
`getAttrList, getName, getNodeList, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TableElem

    public TableElem(Object... nodes)

Method Detail

### align

    public TableElem align(Object value)

### alignCenter

    public TableElem alignCenter()

### alignLeft

    public TableElem alignLeft()

### alignRight

    public TableElem alignRight()

### bgcolor

    public TableElem bgcolor(Object value)

### border

    public TableElem border(Object value)

### cellpadding

    public TableElem cellpadding(Object value)

### cellspacing

    public TableElem cellspacing(Object value)

### frame

    public TableElem frame(Object value)

### frameAbove

    public TableElem frameAbove()

### frameBelow

    public TableElem frameBelow()

### frameBorder

    public TableElem frameBorder()

### frameBox

    public TableElem frameBox()

### frameHsides

    public TableElem frameHsides()

### frameLhs

    public TableElem frameLhs()

### frameRhs

    public TableElem frameRhs()

### frameVoid

    public TableElem frameVoid()

### frameVsides

    public TableElem frameVsides()

### rules

    public TableElem rules(Object value)

### rulesAll

    public TableElem rulesAll()

### rulesCols

    public TableElem rulesCols()

### rulesGroups

    public TableElem rulesGroups()

### rulesNone

    public TableElem rulesNone()

### rulesRows

    public TableElem rulesRows()

### summary

    public TableElem summary(Object value)

### width

    public TableElem width(Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SHU. All Rights Reserved.